package com.tzld.piaoquan.api.common.enums;

/**
 * 异常枚举
 * 通用 code三位负整数
 * 业务 code四位正整数，其中第一位代表功能模块
 */

public enum ExceptionEnum {

    // 通用code为三位负整数
    SYSTEM_ERROR(-101, "系统错误"),
    DATA_ERROR(-102, "数据异常,请联系管理员"),
    PARAM_ERROR(-103, "参数异常"),

    // 平台账户
    Not_LOGIN(1000, "登录失效，请重新登录。"),
    EMAIL_VERIFY_CODE_NOT_EXIST(1001, "验证码不存在"),
    EMAIL_VERIFY_CODE_USED(1001, "验证码已被使用"),
    EMAIL_VERIFY_CODE_EXPIRED(1002, "验证码已过期"),
    LOGIN_PASSWORD_WRONG(1003, "登录失败-账号或密码错误"),
    TEL_NUM_EXISTS_WRONG(1004, "联系人号码已存在"),
    CHANNEL_EXISTS_WRONG(1005, "渠道已存在"),
    CHANNEL_NULL_WRONG(1006, "渠道不能为空"),
    ACCOUNT_BANNED(1007, "账号被封禁"),
    USER_NOT_EXIST(1008, "user not exist"),
    SmsCodeExpired(1010, "短信验证码无效"),
    DOMAIN_NOT_ALLOWED(1009, "无权访问"),
    ACCOUNT_NOT_EXISTS_WRONG(1011, "用户不存在"),
    ACCOUNT_PRICE_ERROR(1012, "定价格式错误"),
    ACCOUNT_PRICE_NULL_ERROR(1013, "定价不能为空"),

    // 合作账号
    GZH_EXISTS(2000, "公众号已由别的用户授权，该用户不能再授权此公众号，请联系平台运营"),
    GZH_DELETE_PLAN_EXISTS(2001, "公众号下存在未删除计划，无法删除"),

    // 公众号计划
    GZH_SCENE_PLAN_EXISTS(3000, "公众号该类型计划已存在"),
    GZH_PLAN_NOT_EXISTS(3001, "公众号计划不存在"),
    GZH_PLAN_VIDEO_SIZE_EXCEED(3002, "计划视频数量超过限制"),
    QW_PLAN_NOT_EXISTS(3003, "企微计划不存在"),
    GZH_ACCOUNT_NOT_EXISTS(3004, "公众号不存在"),
    GZH_ACCOUNT_NOT_AUTH(3005, "公众号未授权，无法使用平台发布"),
    QW_PLAN_SUB_CHANNEL_LENGTH(3006, "子渠道名称不能超过20个字符"),
    XCX_PLAN_NOT_EXISTS(3007, "小程序计划不存在"),
    XCX_PLAN_INTERNAL_ONLY(3008, "仅内部账号可以使用该功能"),

    // api
    API_TOKEN_ERROR(4000, "token无效"),
    API_PAGE_PARAM_ERROR(4001, "请输入正确的分页参数"),
    API_PAGE_SIZE_TOO_LARGE(4002, "每页获取数量不能超过500条"),
    API_PAGE_URL_SIZE_TOO_LARGE(4002, "获取视频嵌入路径 每次最多3条"),

    // 三方平台 自动拉群群发
    THIRD_PART_STAFF_NOT_FOUND(5001, "账号不存在"),
    THIRD_PART_ROOM_NOT_FOUND(5002, "群不存在"),
    THIRD_PART_LOGOUT_FAILED(5003, "企微账号退出失败"),

    // 用户上传内容管理
    PQ_LOGIN_FAIL(6001, "票圈登录失败"),
    VIDEO_PUBLISH_FAILED(6002, "视频发布失败"),
    VIDEO_UPDATE_FAILED(6003, "视频更新失败"),
    VIDEO_DELETE_FAILED(6004, "视频删除失败"),
    VIDEO_INFO_FAILED(6005, "视频信息获取失败"),
    PQ_ACCOUNT_NOT_BINDING(6006, "票圈账号未绑定"),
    VIDEO_CITED(6007, "视频已被引用，不能删除"),
    VIDEO_GET_FAILED(6008, "视频获取失败"),
    VIDEO_MULTI_TITLE_SAVE_FAILED(6009, "视频多标题保存失败"),
    VIDEO_MULTI_COVER_SAVE_FAILED(6010, "视频多封面保存失败"),
    VIDEO_MULTI_COVER_LIST_FAILED(6011, "视频多封面列表获取失败"),
    VIDEO_MULTI_TITLE_LIST_FAILED(6012, "视频多标题列表获取失败"),

    // 用户收藏视频
    VIDEO_NOT_EXIST(7001, "视频不存在"),

    // 自动回复
    CGI_REPLY_BUCKET_DATA_NOT_FOUND(10000, "自动回复数据不存在"),
    CGI_REPLY_BUCKET_DATA_NOT_AUTO_REPLY(10001, "非自动回复数据"),
    ;
    private int code;
    private String msg;

    public int getCode() {
        return code;
    }


    public String getMsg() {
        return msg;
    }

    ExceptionEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
